import Coordinates from "./Coordinates";

export default interface Maze {
    id: string,
    width: number,
    height: number,
    start: Coordinates,
    end: Coordinates,
    grid: MazeCell[][]
}

export interface MazeCell {
    top: boolean,
    right: boolean,
    bottom: boolean,
    left: boolean,
    solution: boolean
}