import Coordinates from "../model/Coordinates";
import Maze from "../model/Maze";

export interface State {
    errorMessage: string | null,
    loading: boolean,
    maze: Maze | null,
    showSolution: boolean,
    userPath: Coordinates[]
}

export const INITIAL_STATE: State = {
    errorMessage: null,
    loading: false,
    maze: null,
    showSolution: false,
    userPath: []
};